
function agregaperfil(){
var nombreperfil =$('#nombreperfil').val();
var descripcionperfil =$('#descripcionperfil').val();
var tablas="cat_perfiles";
var vdelete = '<button class="btn btn-danger" type="submit" id="button" onclick="refresh()">Borrar</button>';
//var nombretipologia_text = $("#nombretipologia option:selected").text();




  if(nombreperfil!="" && descripcionperfil!=""){
        $.get("./cu/cat_perfiles_cu.php", {op:1,tcliente:tablas,nombre:nombreperfil,desc:descripcionperfil}, function(respuesta){
            if(respuesta!=""){
                alert("Dato guardado correctamente");
				var t = $('#example2').DataTable();
                    t.row.add( [
                        respuesta,
                        nombreperfil,
                        descripcionperfil,
						vdelete
                    ] ).draw( false );
                    $("#limpiargastos").click();
            }else{
                alert("Verifique la selección ó contacte con el proveedor");
            }
        });
  }else{
    alert("Debe llenar todos los campos");
  }
}
function eliminarregistro2(iduser, tablereg){


var r = confirm("¿Seguro que desea eliminar el registro seleccionado?");
    if (r == true) {
        $.get("../core_update.php", {op:37,id:iduser, tabla:tablereg}, function(respuesta){
        if(respuesta=="true"){
            
            $.get("../core_update.php", {op:3,iduser:iduser, tablereg:tablereg}, function(respuesta2){
				//alert(respuesta);
				
                if(respuesta2.trim()=="1"){
					var table = $('#example2').DataTable();
                    table.row('.selected').remove().draw( false );
                }else{
                    alert("Verifique la selección ó contacte con el proveedor");
                }
            });
        }else{
            alert("El dato no puede ser eliminado, tiene registros relacionados");
        }
    });
    }
}


function editar2(tabla, titulo, id){
        var valorlabel = $("#"+titulo+tabla+id).text();
        var label = $("#"+titulo+tabla+id);
        var guia = $("#GuiadeEnvio"+tabla+id).text();
        label.removeAttr('ondblclick');
        $("#"+titulo+tabla+id).empty();//borramos el label que dice prueba
        if(titulo=="NuevoImei" || titulo=="cantidad"){
            var input="<input  type='number' min='0' max='15'  class='form-control' title='Ingrese el nuevo texto y presione enter' id='inp"+titulo+tabla+id+"' value='"+valorlabel+"'>";

        }else{

            var input="<input type='text' class='form-control' title='Ingrese el nuevo texto y presione enter' id='inp"+titulo+tabla+id+"' value='"+valorlabel+"'>";
             switch (titulo) {
                case 'FechaActIMEISERTEC':
                   input="<input  type='Date' min='0' max='15'  class='form-control' title='Ingrese el nuevo texto y presione enter' id='inp"+titulo+tabla+id+"' value='"+valorlabel+"'>";

                    break;
                case 'FechadeCompraSERTEC':
                   input="<input  type='Date' min='0' max='15'  class='form-control' title='Ingrese el nuevo texto y presione enter' id='inp"+titulo+tabla+id+"' value='"+valorlabel+"'>";

                    break;
            }
        }
        $("#"+titulo+tabla+id).prepend(input);//agrgamos lca caja
        
        var inputinsertado = $("#inp"+titulo+tabla+id);//obtenemos el input 
        inputinsertado.keydown(function(e){//evento
            var code= e.keyCode;//obtenemos el codigo del enter
                if (code==13  )
                {
                    //alert(valorlabel+" == "+inputinsertado.val());
                    if(inputinsertado.val() != valorlabel){
                        var valorlabelnuevo = inputinsertado.val();
                        //alert(valorlabelnuevo.length);
                        //alert("el valor nuevo es: "+valorlabelnuevo);
                        //var r = confirm("Seguro que desea cambiar el campo");
                        
                        var r = true;
                        if(titulo=="NuevoImei" &&  valorlabelnuevo.length !=15){
                            r = false;
                        }

                        if (r == true ) {
                                $.get("../core_update.php", {op:1,tabla:tabla,titulo:titulo,id:id,valorlabelnuevo:valorlabelnuevo}, function(respuesta){  
                                   
                                   respuesta2 = respuesta;

                                   
                                   if(respuesta =="1"){
                    $("#"+this.id).remove();//quitamos el cuadro
                                        label.text(valorlabelnuevo);//agregamos el valor
                                        label.attr("ondblclick","editar('"+tabla+"', '"+titulo+"', '"+id+"');");//asignams nuevamente la funcion
                            if (tabla=="puestos" && (titulo=="semxmes" || titulo=="maxnomsem" || titulo=="hrsxsem" )){
                                alert("valida costo por hora"+inputinsertado.val() );                            $("#maxxhr"+tabla+id).text(Math.round(parseFloat($("#maxnomsem"+tabla+id).text())/(parseFloat($("#hrsxsem"+tabla+id).text())*parseFloat($("#semxmes"+tabla+id).text()))*100)/100);
                                 $.get("../core_update.php", {op:1,tabla:tabla,titulo:'maxxhr',id:id,valorlabelnuevo:$("#maxxhr"+tabla+id).text()}, function(respuesta){ })
                            }
                                       
                                   }else{
                                        alert("Ocurrio un error:  " + respuesta);
                                        $("#"+this.id).remove();//quitamos el cuadro
                                        label.text(valorlabel);//agregamos el valor
                                        label.attr("ondblclick","editar('"+tabla+"', '"+titulo+"', '"+id+"');");//asignams nuevamente la funcion
                                   }
                                   //UPDATE  `clientes` SET  `nombre` =  'nombrepaterno ' WHERE  `id_clientes` =1;
                                });
                                //edicion CIM
                                var today = new Date();
                                var dd = today.getDate();
                                var mm = today.getMonth()+1; //January is 0!
                                var yyyy = today.getFullYear();

                                if(dd<10) {
                                    dd='0'+dd
                                } 

                                if(mm<10) {
                                    mm='0'+mm
                                } 

                                fechactual = mm+'/'+dd+'/'+yyyy+" "+today.getHours()+":"+today.getMinutes()+":"+today.getSeconds();

                                switch (titulo) {
                                    case 'FechadeCompraSERTEC':
                                        $.get("../core_update.php", {op:1,tabla:tabla,titulo:"FechadeRecepcionenCIMValidarensistemaDHL",id:id,valorlabelnuevo:fechactual}, function(respuesta){
                                            /*if(respuesta!="1"){
                                                alert(respuesta);
                                            }*/
                                        });

                                        break;
                                    case 'FechaActIMEISERTEC':
                                        $.get("../core_update.php", {op:1,tabla:tabla,titulo:"FechadeRecepcionenCIMValidarensistemaDHL",id:id,valorlabelnuevo:fechactual}, function(respuesta){
                                            /*if(respuesta!="1"){
                                                alert(respuesta);
                                            }*/
                                        });

                                        break;
                                    case 'NuevoImei':
                                        $.get("../core_update.php", {op:1,tabla:tabla,titulo:"FechadeEnvio2",id:id,valorlabelnuevo:fechactual}, function(respuesta){

                                        });

                                        break;
                                    case 'GuiadeEnvio':
                                        $.get("../core_update.php", {op:1,tabla:tabla,titulo:"FechadeEnvio2",id:id,valorlabelnuevo:fechactual}, function(respuesta){

                                        });
                                        break;
                                    case 'validaciondesertecalfinal':

                                        $.get("../core_update.php", {op:1,tabla:tabla,titulo:"joobsheet",id:id,valorlabelnuevo:fechactual}, function(respuesta){
                                        }); 
                                        //alert(guia);

                                        $.get("../core_update.php", {op:10,tabla:tabla,titulo:"joobsheet",id:id,valorlabelnuevo:fechactual,guia:guia}, function(respuesta){
                                        });
                                        break;

                                    case 'firmaderecepcion':
                                        //GuiadeEnvio
                                        $.get("../core_update.php", {op:1,tabla:tabla,titulo:"joobsheet",id:id,valorlabelnuevo:fechactual}, function(respuesta){
                                        }); 
                                        //alert(guia);

                                        $.get("../core_update.php", {op:10,tabla:tabla,titulo:"joobsheet",id:id,valorlabelnuevo:fechactual,guia:guia}, function(respuesta){
                                        });

                                        break;
                                    }
                                    //FIN  edicion CIM
                        }else{
                                $("#"+this.id).remove();//quitamos el cuadro
                                label.text(valorlabel);//agregamos el valor
                                label.attr("ondblclick","editar('"+tabla+"', '"+titulo+"', '"+id+"');");//asignams nuevamente la funcion
                                if(valorlabelnuevo.length !=15 && titulo=="NuevoImei" ){
                                    alert("El tamaño del Nuevo IMEI debe tener un tamaño de 15");
                                }
                        }

                        

                    }else{
                           
                           
                        //alert("es igual el valor");
                        $("#"+this.id).remove();//quitamos el cuadro
                        label.text(valorlabel);//agregamos el valor
                        label.attr("ondblclick","editar('"+tabla+"', '"+titulo+"', '"+id+"');");//asignams nuevamente la funcion
                    }
                }
            }
        );
}